<?php
include_once("inc/config.php");
include_once("inc/ftbbsdbclass.php");
include_once("inc/publicfun.php");
include_once("inc/pageclass.php");
include_once("conn.php");
include_once("checkuser.php");
include_once("bbsuser.php");

$query = "SELECT * FROM {$tablepre}ftbbsmb";
$ftbbsmb=makecache('ftbbsmb.html',$query,$expire);
include_once("sound.php");
$bbsname=$ftbbsmb[11];
$copyright=$ftbbsmb[14];
$getcodeoff=$ftbbsmb[30];
$onlineoff=$ftbbsmb[33];
$linkoff=$ftbbsmb[34];
$htmlsign=$ftbbsmb[37];
$defaulthome=$ftbbsmb[31];
$pagesize=$ftbbsmb[5];
include_once("ftbbs_nav.php");
include_once("homeurl.php");

$str_sort = ftbbs_request($_GET["order_key"]);
if ($str_sort==""){
$str_sort="clubuser_id";
}

$p = new ft_page;
$sql="select clubuser_id,clubuser_name,clubuser_sex,clubuser_enter_count,clubuser_reg_date,clubuser_lasttime,postnum,jingyuan from {$tablepre}clubuser order by ".$str_sort." desc";
$rs=mysql_query($sql);
$myrow = mysql_fetch_array($rs);
$numrows = mysql_num_rows($rs);
$p->pvar="page"; 
$p->setvar(array("order_key" => $str_sort));
$p->set($pagesize,$numrows,$psize); 
$rs=mysql_query($sql." limit ".$p->limit());
?>
<HTML><HEAD>
<title></title>
<META http-equiv=Content-Type content=text/html;charset=utf-8>
<script language=javascript src="inc/cookies.js"></script>
<script>
var stylecook = getCookie("STYLESHOW");
var style;
var strstyle;
if(stylecook=="")
{
 stylecook=1;
}
else
{
 stylecook++;
}
style="main0"+stylecook+".css";
strstyle="<link href=\"css/"+style+"\"  rel=\"stylesheet\" type=\"text/css\"> ";
document.write(strstyle);
</script>
</HEAD>
</head>
<body>
<?
if (get_cookie('ftbbstype')==1){
include_once("pbhead.php");
}
?>
<table width="99%" border=0 align="center" cellpadding=2 cellspacing=1 class="maintbbg">
  <tbody>
          <tr> 
            <td height="25" class="f12bg">&nbsp;<?=$userinfo?></td>
          </tr>
          <tr>
            <td height="26" class="maintbtr3"><table width="100%" border=0 cellpadding=0 cellspacing=0>
                <tbody>
                  <tr> 
                    <td class=f12><img src="images/bbs_t1.gif" align="absmiddle"> 
                      <a href="<?=$homepage?>">论坛首页</a>>>会员列表 
                    </td>
                  </tr>
                </tbody>
              </table></td>
          </tr>
        </tbody>
</table>
<table width="99%" border="0" align="center" cellpadding="0" cellspacing="1">
  <tr> 
    <td height=5><spacer height="5" type="block"></td>
  </tr>
</table>
<table width="99%" border="0" cellspacing="0" cellpadding="0" class="listborder" align="center">
  <tr>
    <td> 
      <table width="100%" border=0 cellpadding=0 cellspacing=0 align="center">
        <tbody>
          <tr valign="top"> 
            <td colspan="8" class="maintbtr1"> <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
                <tr> 
                  <td align="left" height="25"><? $p->output(0);?></td>
                </tr>
              </table></td>
          </tr>
          <tr align="left" class=f12> 
            <td width="16%" height="28" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=clubuser_name">用户名</a></td>
            <td width="15%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=clubuser_id">UID</a></td>
            <td width="15%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=clubuser_sex">性别</a></td>
            <td width="17%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=clubuser_reg_date">注册时间</a></td>
            <td width="17%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=clubuser_lasttime">上次访问时间</a></td>
            <td width="10%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=postnum">贴子</a></td>
            <td width="10%" class="tdborder">&nbsp;<a class=map href="memberlist.php?order_key=jingyuan">积分值</a></td>
          </tr>
<?
if ($numrows!=0){
while ($myrow = mysql_fetch_array($rs)){
   if ($htmlsign==1){
   $syurl=$myrow["clubuser_id"].".html";
   }
   else{
   $syurl="home.php?userid=".$myrow["clubuser_id"];
   }
?>
          <tr align="left"> 
            <td width="16%" height="28" class="loopborder1" align="left">&nbsp;<a class=map href="<?=$syurl?>" target="_blank"><?=$myrow["clubuser_name"]?></a></td>
            <td width="15%"  align="left" class="loopborder3">&nbsp;<?=$myrow["clubuser_id"]?></td>
            <td width="15%" class="loopborder3">&nbsp;<?=$myrow["clubuser_sex"]?></td>
            <td width="17%" class="loopborder1">&nbsp;<?=$myrow["clubuser_reg_date"]?></td>
            <td width="17%" class="loopborder3">&nbsp;<?=$myrow["clubuser_lasttime"]?></td>
            <td width="10%" class="loopborder3">&nbsp;<?=$myrow["postnum"]?></td>
            <td width="10%" class="loopborder1">&nbsp;<?=$myrow["jingyuan"]?></td>
          </tr>
<?
}
?>
          <tr valign="top"> 
            <td colspan="8" class="maintbtr1"> <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
                <tr> 
                  <td align="left" height="25">
<?
$p->output(0);
mysql_free_result($rs);
$db->close(); 
?>
				  </td>
                </tr>
              </table></td>
          </tr>
<? }else{?>
          <tr class="maintbtr3"> 
            <td colspan=8 align=center height=25 class="f12"> 记录为空！ </td>
          </tr>
<? }?>
        </tbody>
      </table>
    </td>
  </tr>
</table>
<?
include_once("inc/bbstail.php");
?>
</body>
</html>